
/* **********************************
 File:EmptyInstructionDescription.java
 Author: Alec(alecu@kermit.cs.pub.ro)
 Created on 12.02.1999 02:41:40
 Comments: Part of the vIDE Project
***********************************/

package engine;

class EmptyInstructionDescription extends InstructionDescription{
  
  public EmptyInstructionDescription(int delayBefore, int line, NameSpaceDescription nsd){
    super(delayBefore, line, nsd);
  }
  
  Instruction instantiate(NameSpace ns)throws ParseException{
    return new EmptyInstruction(ns, delayBefore, this,
                                next != null ? next.instantiate(ns) : null);
  }
}

