
/* **********************************
 File:FinishTaskDescription.java
 Author: Alec(alecu@kermit.cs.pub.ro)
 Created on 02.05.99 (Y2K, ha?) 14:48
 Comments: Part of the vIDE Project
***********************************/

package engine;

class FinishTaskDescription extends InstructionDescription{
  
  public FinishTaskDescription(int delayBefore, int line, NameSpaceDescription nsd){
    super(delayBefore, line, nsd);
  }
  
  Instruction instantiate(NameSpace ns)throws ParseException{
    return new FinishTask(ns, delayBefore, this,
                                next != null ? next.instantiate(ns) : null);
  }

  public String toString(){
    return "$finish";
  }
}

