
/* **********************************
 File:ForeverInstruction.java
 Author: Power(power@kermit.cs.pub.ro)
 Created on 22.03.1999 12:44:46
 Comments: Part of the vIDE Project
***********************************/

package engine;

class ForeverInstruction extends Instruction{
  Instruction instr;
  
  ForeverInstruction(NameSpace ns, int db, InstructionDescription desc, Instruction i, Instruction next){
    super(ns, db, desc);
    instr = i;
    add(next);
  }

// aici nu am bagat next-ul pt ca oricum nu avea cum sa se execute
// (si javac zicea statement not reached ;))
// oricum, fara break...
// poate ca ar trebui ca parserul sa dea macar un warning de genul
// statement...
  public void execute()throws InterpretTimeException, SimulationStoppedException{
    waitToRun();
    xConsole.trace(toString());
    while (true) instr.execute();
  }

}
