/* **********************************
 File:ForeverInstructionDescription.java
 Author: Power(power@kermit.cs.pub.ro)
 Created on 22.03.1999 12:26:00
 Comments: Part of the vIDE Project
***********************************/

package engine;

class ForeverInstructionDescription extends InstructionDescription{
  InstructionDescription id;
  
  ForeverInstructionDescription(int db, int line, NameSpaceDescription nsd, InstructionDescription id){
    super(db, line, nsd);
    this.id = id;
  }
  
  Instruction instantiate(NameSpace ns)throws ParseException{
    return new ForeverInstruction(ns, delayBefore, this, id.instantiate(ns),
      next == null ? null : next.instantiate(ns));
  }
}
