
/* **********************************
 File:IntegerDescription.java
 Author: Alec(alecu@kermit.cs.pub.ro)
 Created on 12.02.1999 02:43:39
 Comments: Part of the vIDE Project
***********************************/

package engine;

import java.util.*;

class IntegerDescription extends RegisterDescription{
  

  /**
  * the default size of the integer type
  */
  static int INTEGER_DEFAULT_SIZE = 32;
  
  IntegerDescription(String name, int lineNo, ExpressionDescription arrayStart, 
    ExpressionDescription arrayEnd){
    super(name, lineNo, null, null, arrayStart, arrayEnd, true);
    setRange(INTEGER_DEFAULT_SIZE - 1, 0);
  }

  IntegerDescription(String name, int lineNo){
    this(name, lineNo, null, null);
  }
}


















































