
/* **********************************
 File:Monitor.java
 Author: Alec(alecu@kermit.cs.pub.ro)
 Created on 02.02.1999 18:45:57
 Comments: Part of the vIDE Project
***********************************/

package engine;

import java.util.*;

/**
 * Provides s is a simple way to communicate some state change between parts
 * A monitor is a "thing" that surveys for an expression to gain some given value. 
 * When that happents, it should notify some threads that are waiting for this 
 * specific event ( the waiters).
 */

abstract class  Monitor {
  NameSpace ns;
  
  Monitor(NameSpace ns){
      //    xConsole.debug("new monitor");
    this.ns = ns;
  }
  
  //this wakes up all the threads waiting for this monitor's event
  abstract void trigger()throws InterpretTimeException;
}


