
/* **********************************
 File:MonitorDescription.java
 Author: Alec(alecu@kermit.cs.pub.ro)
 Created on 03.02.1999 20:32:00
 Comments: Part of the vIDE Project
***********************************/

package engine;
import java.io.Serializable;

/**
 * The description of a monitor. see Monitor.java
 */

abstract class MonitorDescription implements Serializable{
  NameSpaceDescription nsd;
  ExpressionDescription target; //the expression to evaluate
  
  MonitorDescription(NameSpaceDescription nsd, ExpressionDescription target){
    this.target = target;
    this.nsd = nsd;
  }
  
}
