package engine;
import java.util.*;

class StrobeTask extends DisplayTask {

  StrobeTask(NameSpace m, int delayBefore, InstructionDescription desc, int defaultBase, Vector target, Instruction next){
    super(m, delayBefore, desc, defaultBase, target, next);
  }
  
  public void execute()throws InterpretTimeException, SimulationStoppedException{
    waitToRun();
    Instruction i = new DisplayTask(this);
    i.next = null;
    Time.addAfterFinish(i);
    if(next != null)next.execute();
  }
}
