
/* **********************************
 File:TopModule.java
 Author: Alec(alecu@kermit.cs.pub.ro)
 Created on Thu Apr 22 05:02:27 EDT 1999 
 Comments:  Part of the vIDE Project
***********************************/

package engine;

import java.util.*;
import middle.ScopeNode;

class TopModule extends Module{
  
  TopModule(ModuleDescription desc){
    super(desc, null);
  }

  void createInstances(ScopeNode thisScope)throws ParseException{
    desc.instantiateAll(this, thisScope);
  }

  public Object resolveName(String name){
    return resolveNameExact(name);
  }
  
}




