package ide;

import java.io.*;
import java.util.*;


class FileHashtable {
  boolean isValid = false;
  Hashtable hash;
  
  public Object get(String key) {
    return hash.get(key);
  }
  
  public void put(String key, Object object) {
    hash.put(key, object);
  }
  
  
  public void save() {
    try {
      FileOutputStream fostream = new FileOutputStream("prefs");
      ObjectOutputStream oostream = new ObjectOutputStream(fostream);
      oostream.writeObject("vIDE prefs");        //signature
      
      oostream.writeObject(hash);
      
      oostream.flush();
      fostream.close();
    } catch (Exception e) {
      System.out.println("IOException saving preferences:\n" + e);
    }
  
  }
  
  public FileHashtable() {
    
    
    FileInputStream fistream; 
    try {
    ObjectInputStream oistream = new ObjectInputStream(fistream = new FileInputStream(new File("prefs")));
    
      if (!(((String) oistream.readObject()).equals("vIDE prefs"))) {
        System.out.println("Could not load preferences.\nBad signature.");
        isValid = false;
        return;
      }
      
  
      //todo -> check if it's the right version
      hash = (Hashtable) oistream.readObject(); 
      
      //cam atat?
      fistream.close();
      isValid = true;
      
    } catch (Exception e) {
      System.out.println("IOException reading preferences:\n" + e);
    }
    
    if(!isValid) hash = new Hashtable();
  }
}
