/* **********************************
 File:Time.java
 Author: Alec(alecu@kermit.cs.pub.ro)
 Creted on Sun Jul  4 04:15:31 EDT 1999
 Comments: 
***********************************/

package ide;

import java.awt.*;
import javax.swing.*;

/**
 * Provides a key for UI mapping
 * @see VerilogTextUI
 */
class VerilogTextArea extends JTextArea{

  /**
   * the value returned by getUIClassID
   */
  public static String uiClassID = "verilogTextUI";

  public int getRowHeight(){
    return super.getRowHeight();
  }

  public void setFont(Font f){
    super.setFont(f);
    if(getBorder() != null)
      ((VeriSimDocumentFrame.NumberedBorder)getBorder()).setFontHeight(getRowHeight());
  }

  public String getUIClassID(){
    return uiClassID;
  }
}
