#include <jni.h>

int main()
{
  JavaVMInitArgs vm_args;
  JavaVMOption options[4];
  int i;
  jint res;
  JavaVM *vm;
  JNIEnv *env;
  jclass cls;
  jmethodID mid;
  jstring jstr;
  jobjectArray args;
  /*
  for (i = 0 ; i<4 ; i++) {
    options[i][0].optionString = "-Djava.compiler=NONE";           /* disable JIT */
  /*    options[i][1].optionString = "-Djava.class.path=.:/opt/jdk1.2/jre/lib/rt.jar:/opt/jdk1.2/jre/lib/i18n.jar"; /* user classes */
  /*options[i][2].optionString = "-Djava.library.path=/opt/jdk1.2/jre/lib/i386:/opt/jdk1.2/jre/lib/i386/classic:/opt/jdk1.2/jre/lib/i386/green_threads"; 
        /*options[i][3].optionString = "-verbose:jni";                   /* print JNI-related messages */
  /*  }

  for (i = 0 ; i<4 ; i++) {
    vm_args[i].version = JNI_VERSION_1_2;
    vm_args[i].options = options[i];
    vm_args[i].nOptions = 3;
    vm_args[i].ignoreUnrecognized = 1;
  }*/

  options[0].optionString = "-Djava.compiler=";           /* disable JIT */
  options[1].optionString = "-Djava.class.path=.:/opt/jdk1.2/jre/lib/rt.jar:/opt/jdk1.2/jre/lib/i18n.jar"; /* user classes */
  options[2].optionString = "-Djava.library.path=/opt/jdk1.2/jre/lib/i386:/opt/jdk1.2/jre/lib/i386/classic:/opt/jdk1.2/jre/lib/i386/native_threads"; 
  /*  options[3].optionString = "-verbose:jni";*/
  
  vm_args.version = JNI_VERSION_1_2;
  vm_args.options = options;
  vm_args.nOptions = 3;
  vm_args.ignoreUnrecognized = 1111;
  
  /* Note that in JDK 1.2, there is no longer any need to call 
   * JNI_GetDefaultJavaVMInitArgs. 
   */
  printf("starting VM spooler...\n");
  res = JNI_CreateJavaVM(&vm, (void **)&env, &vm_args);
  printf("cucu\n");
  if (res < 0) {
        printf("Can't create Java VM\n");
        exit(1);
  }
  printf("VM created...\n");
  cls = (*env)->FindClass(env, "ide/vide");
  if (cls == 0) {
        printf("Can't find Prog class\n");
        exit(1);
  }
  mid = (*env)->GetStaticMethodID(env, cls, "main", "([Ljava/lang/String;)V");
  if (mid == 0) {
        printf("Can't find Prog.main\n");
        exit(1);
  }
  jstr = (*env)->NewStringUTF(env, " from C!");
  if (jstr == 0) {
        printf("Out of memory\n");
        exit(1);
  }
  args = (*env)->NewObjectArray(env, 1, 
                        (*env)->FindClass(env, "java/lang/String"), jstr);
  if (args == 0) {
        printf("Out of memory\n");
        exit(1);
  }
  printf("now calling main:\n");
  (*env)->CallStaticVoidMethod(env, cls, mid, args);
  (*vm)->DestroyJavaVM(vm);
}



