
/* **********************************
 File:AlwaysThread.java
 Author: Alec(alecu@kermit.cs.pub.ro)
 Created on 09.02.1999 01:59:36
 Comments: Part of the vIDE Projects 
***********************************/

package engine;

/**
 * It executes his instructions over and over..
 */

class AlwaysThread extends ControlThread{

  
  AlwaysThread (Instruction ins){
    super(ins);
    //we'll set alwayses to the highest priority, to allow them to  
    //perform all the monitoring stuff without losing information
    //setPriority(getThreadGroup().getMaxPriority()); 
    //not necessary anymore...
  }
  
  public void run(){
    try{
      try{
        while(true){  //THIS is where an always thread differs from a ControlThread
          ins.execute();
        }
        //xConsole.debug("always ended");
      }catch(InterpretTimeException ex){
        xConsole.dumpStack(ex);
        xConsole.cout(ex.toString());
        Time.stopSimulation();
      }
      ins = null;
      Time.removeThread(this);
    }catch(SimulationStoppedException ex){
      xConsole.debug(ex.toString() + "( alwaysthread) " +this);
    }
  }
}









