
/* **********************************
 File:Expression.java
 Author: Alec(alecu@kermit.cs.pub.ro)
 Created on 12.02.1999 02:42:19
 Comments: Part of the vIDE Project
***********************************/

package engine;

abstract class Expression implements RightValue{
  
  NameSpace ns;
  int length;   //the length in bits of this expression
  
  public Expression(NameSpace ns){
    this.ns = ns;
  }
  
  public String toString(){
    return " expression ";
  }
  
  abstract void addMonitor(Monitor m);
  abstract boolean isLeftValue();
}








