
/* **********************************
 File:FinishTask.java
 Author: Alec(alecu@kermit.cs.pub.ro)
 Created on 06.05.99 14:50
 Comments: Part of the vIDE Project
***********************************/

package engine;

class FinishTask extends Instruction{
  
  public FinishTask(NameSpace ns, int delaybefore, InstructionDescription desc,
                          Instruction next){
    super(ns, delaybefore, desc);
    add(next);
  }
  
  public void execute()throws InterpretTimeException, SimulationStoppedException{
    waitToRun();
    xConsole.trace(super.toString());
    xConsole.cout("finishing simulation");
    Time.stopSimulation();
  }

}



