
/* **********************************
 File: MemoryDescription.java
 Author alec(alecu@kermit.cs.pub.ro)
 Created on: 16.03.1999 21:39:56
 Comments: Part of the vIDE Project
***********************************/

/**
 *  provides a simple mean to find out if something is a memory
 */

package engine;

public interface MemoryDescription{
  public int getArrayStart();
  public int getArrayEnd();
  /**
  * @returns true if this is really a memory
  * (i.e. consists of more then one BitVector)
  */
  public boolean isMemory();

}
