
/* **********************************
 File:Module.java
 Author: Alec(alecu@kermit.cs.pub.ro)
 Created on 30.01.1999 00:15:50
 Comments: Part of the vIDE Project
***********************************/

package engine;

import java.util.*;
import middle.ScopeNode;

/**
 * A module instance. It acts much like some lnked .obj file into an executable
 * image
 */

class Module extends NameSpace{
  
  Module(ModuleDescription desc, NameSpace parent){
    super(parent, desc);
    downwardAllowed = false;
  }
  
  Module(ModuleDescription desc, NameSpace parent,
         ModuleInstanceDescription id,
         ScopeNode thisScope)throws ParseException{
    this(desc, parent);
    desc.instantiateAll(this, thisScope);
  }

}





