/**
 *  file: WatchMonitor.java
 *  part of the VIDE project
 */

package engine;

import middle.*;

/**
 * this is a monitor whose job is to update the watches
 * @author alec(alecu@kermit.cs.pub.ro)
 */
class WatchMonitor extends Monitor{

  LeafNode watch;
  
  WatchMonitor(DataHolder target, LeafNode watch){
    super(null);
    target.addMonitor(this);
    this.watch = watch;
  }

  public void trigger(){
    watch.update();
  }
}







