/* **********************************
 File:Time.java
 Author: Alec(alecu@kermit.cs.pub.ro)
 Creted on Sun Jul  4 04:15:31 EDT 1999
 Comments: 
**********************************/

package ide;

import javax.swing.plaf.basic.*;
import javax.swing.*;
import javax.swing.text.*;

/**
 * A simple UI whose sole purpose is to fetch the right View as
 * a ViewFactory implemetation
 */

class VerilogTextUI extends BasicTextAreaUI{
  
  public View create(Element elem) {
    return new VerilogPlainView(elem);
    /* //Sun's implementation :
    JTextComponent c = getComponent();
    
    if (c instanceof JTextArea) {
      JTextArea area = (JTextArea) c;
      View v;
      if (area.getLineWrap()) {
        v = new WrappedPlainView(elem, area.getWrapStyleWord());
      } else {
        v = new PlainView(elem);
      }
      return v;
    }
    return null;
    */
  }             
}

