/*file: IOManager.java
 *created on 05.apr.'99
 *author: alec(alecu@kermit.cs.pub.ro)
 *part of the VIDE Project
 */

package middle;

/**
 * This is a pluggable IO manager for user interaction.
 * Note tha this approach allows one to use some nice piping
 * between the simulator and some other program
 */
public interface IOManager{
  public String cin();
  public void cout(String s);
  public void abort();
}
